Method: networks.orders.batchUpdate

Batch updates Order objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/orders:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where Orders will be updated. Format: networks/{networkCode} The parent field in the UpdateOrderRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateOrderRequest)
    }
  ]
}
Fields
requests[]

object (UpdateOrderRequest)

Required. The Order objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for orders.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "orders": [
    {
      object (Order)
    }
  ]
}
Fields
orders[]

object (Order)

The Order objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateOrderRequest

Request object for UpdateOrder method.

JSON representation
{
  "order": {
    object (Order)
  },
  "updateMask": string
}
Fields
order

object (Order)

Required. The Order to update.

The Order's name is used to identify the order to update. Format: networks/{networkCode}/orders/{orderId}

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".